## js2-mode 0~20140114

=== Makefile ===
# -*- Makefile -*-

EMACS = emacs

# Compile with noninteractive and relatively clean environment.
BATCHFLAGS = -batch -q --no-site-file

SRCS = js2-mode.el js2-imenu-extras.el

OBJS = $(SRCS:.el=.elc)

%.elc: %.el
	${EMACS} $(BATCHFLAGS) -f batch-byte-compile $^

all: $(OBJS)

clean:
	-rm -f $(OBJS)

# custom build (require loads)
js2-imenu-extras.elc: js2-mode.elc
	${EMACS} $(BATCHFLAGS) -l ./js2-mode.elc -f batch-byte-compile $*.el

test:
	${EMACS} $(BATCHFLAGS) -l js2-mode.el -l tests/parser.el\
	  -l tests/indent.el -l tests/externs.el -f ert-run-tests-batch-and-exit

## js2-mode 0~20090723b

=== debian/changelog ===
js2-mode (0~20090723b-2) unstable; urgency=low

  * Add a link to js2.el in emacs23/site-lisp/js2-mode to be able to
    access source code from help. Closes: #671576.
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 05 May 2012 10:50:45 +0200

js2-mode (0~20090723b-1) unstable; urgency=low

  * Apply a patch from Dmitry Gutov to make some local variables
    safe. Closes: #607110.
  * Switch to 3.0 quilt format.
  * Acknowledge NMU from Hilko Bengen.
  * Bump Standards-Version to 3.9.2.

 -- Vincent Bernat <bernat@debian.org>  Wed, 18 May 2011 13:08:37 +0200

js2-mode (0~20090723b-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream version (Closes: #583797)
  * Fixed watch file
  * Bumped Standards-Version as suggested by Lintian
  * Added ${misc:Depends} as suggested by Lintian

 -- Hilko Bengen <bengen@debian.org>  Thu, 10 Jun 2010 21:56:54 +0200

js2-mode (0~20080616a-1) unstable; urgency=low

  * Initial release (Closes: #495213)

 -- Vincent Bernat <bernat@debian.org>  Sat, 16 Aug 2008 12:03:23 +0200

=== debian/control ===
Source: js2-mode
Section: editors
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/js2-mode/
Vcs-Browser: http://git.debian.org/?p=collab-maint/js2-mode.git
Vcs-Git: git://git.debian.org/git/collab-maint/js2-mode.git

Package: js2-mode
Architecture: all
Depends: emacs23 | emacsen, emacsen-common (>= 1.4.14), ${misc:Depends}
Description: Emacs mode for editing Javascript programs 
 This JavaScript editing mode supports:
 .
  - the full JavaScript language through version 1.7
  - support for most Rhino and SpiderMonkey extensions from 1.5 to 1.7
  - accurate syntax highlighting using a recursive-descent parser
  - syntax-error and strict-mode warning reporting
  - "bouncing" line indentation to choose among alternate indentation points
  - smart line-wrapping within comments and strings
  - code folding:
    - show some or all function bodies as {...}
    - show some or all block comments as /*...*/
  - context-sensitive menu bar and popup menus
  - code browsing using the imenu' package
  - typing helpers (e.g. inserting matching braces/parens)
  - many customization options

## js2-mode 0~20120726

=== debian/changelog ===
js2-mode (0~20120726-4) unstable; urgency=low

  * Fix Emacs startup file. Closes: #728693. Patch from Michal Sojka.

 -- Vincent Bernat <bernat@debian.org>  Sat, 09 Nov 2013 09:50:35 +0100

js2-mode (0~20120726-3) unstable; urgency=low

  * Make comment-start buffer local. Closes: #714228.

 -- Vincent Bernat <bernat@debian.org>  Sun, 28 Jul 2013 21:28:12 +0200

js2-mode (0~20120726-2) unstable; urgency=low

  * Don't build for emacs21. Closes: #717530.

 -- Vincent Bernat <bernat@debian.org>  Mon, 22 Jul 2013 08:01:18 +0200

js2-mode (0~20120726-1) unstable; urgency=low

  * New upstream version.
     + We keep the original upstream. Closes: #632757.
  * Update debian/copyright.
  * Remove debian/watch: we don't have version to watch anymore.
  * Drop safe-local patch: applied upstream.
  * Bump Standards-Version.
  * Update Vcs-* fields in debian/control.
  * Update startup file.

 -- Vincent Bernat <bernat@debian.org>  Thu, 18 Jul 2013 23:40:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/js2-mode/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/js2-mode.git
-Vcs-Git: git://git.debian.org/git/collab-maint/js2-mode.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/js2-mode.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/js2-mode.git
 
 Package: js2-mode
 Architecture: all

=== debian/watch ===
# Not working anymore
#version=3
#opts=dversionmangle=s/^0~// http://code.google.com/p/js2-mode/ downloads/detail\?name=js2-(.*)\.el

## js2-mode 0~20140114

=== debian/changelog ===
js2-mode (0~20140114-1) unstable; urgency=medium

  * New upstream release.
     + Use fork from mooz.
     + Update homepage in debian/control.
     + Remove patch for local variables, not needed anymore.
  * Depends on emacs-common >= 2.0.7. This should fix any post
    installation problem.
  * Only works with Emacs 24 since it needs prog-mode. Closes: #744905.
  * Bump Standards-Version to 3.9.5.

 -- Vincent Bernat <bernat@debian.org>  Thu, 08 May 2014 14:02:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/js2-mode/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/js2-mode.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/js2-mode.git
 
 Package: js2-mode
 Architecture: all
-Depends: emacs23 | emacsen, emacsen-common (>= 1.4.14), ${misc:Depends}
+Depends: emacs24 | emacsen, emacsen-common (>= 2.0.7), ${misc:Depends}
 Description: Emacs mode for editing Javascript programs 
  This JavaScript editing mode supports:
  .

=== debian/rules ===
#!/usr/bin/make -f

# Nothing to build
build: build-arch build-indep
build-arch build-indep:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_install

binary: binary-arch binary-indep
binary-arch:
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installemacsen
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean

## js2-mode 0~20150909

=== Makefile ===
--- 
+++ 
@@ -22,5 +22,5 @@
 	${EMACS} $(BATCHFLAGS) -l ./js2-mode.elc -f batch-byte-compile $*.el
 
 test:
-	${EMACS} $(BATCHFLAGS) -l js2-mode.el -l tests/parser.el\
+	${EMACS} $(BATCHFLAGS) -L . -l js2-mode.el -l js2-old-indent.el -l tests/parser.el\
 	  -l tests/indent.el -l tests/externs.el -f ert-run-tests-batch-and-exit

=== debian/changelog ===
js2-mode (0~20150909-2) unstable; urgency=medium

  * Ensure js2-mode is installable by fixing "Breaks"
    relationship. Closes: #801078.
  * Fix postrm (no change, just a rebuild). Closes: #803348.

 -- Vincent Bernat <bernat@debian.org>  Fri, 30 Oct 2015 11:57:27 +0100

js2-mode (0~20150909-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 3.9.6.
  * Change homepage to GitHub.
  * Update d/watch.
  * Transition to dh-elpa.
     + Patch js2-mode for auto-mode-alist.
     + Build a js2-mode-pkg.el.
     + Build-Depends on dh-elpa (>= 0.0.11) because of our odd version
       number.
  * Update d/copyright.

 -- Vincent Bernat <bernat@debian.org>  Thu, 01 Oct 2015 00:08:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,19 @@
 Section: editors
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/js2-mode/
+Build-Depends: debhelper (>= 9),
+               dh-elpa (>= 0.0.11~)
+Standards-Version: 3.9.6
+Homepage: https://github.com/mooz/js2-mode
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/js2-mode.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/js2-mode.git
 
-Package: js2-mode
+Package: elpa-js2-mode
 Architecture: all
-Depends: emacs24 | emacsen, emacsen-common (>= 2.0.7), ${misc:Depends}
+Depends: ${misc:Depends}, emacsen-common (>= 2.0.8)
+Enhances: emacs, emacs23, emacs24
+Breaks: js2-mode (<< 0~20150909-1)
+Provides: js2-mode
 Description: Emacs mode for editing Javascript programs 
  This JavaScript editing mode supports:
  .
@@ -27,3 +31,27 @@
   - code browsing using the imenu' package
   - typing helpers (e.g. inserting matching braces/parens)
   - many customization options
+
+Package: js2-mode
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends: elpa-js2-mode, ${misc:Depends}
+Description: Emacs mode for editing Javascript programs (dummy package)
+ This JavaScript editing mode supports:
+ .
+  - the full JavaScript language through version 1.7
+  - support for most Rhino and SpiderMonkey extensions from 1.5 to 1.7
+  - accurate syntax highlighting using a recursive-descent parser
+  - syntax-error and strict-mode warning reporting
+  - "bouncing" line indentation to choose among alternate indentation points
+  - smart line-wrapping within comments and strings
+  - code folding:
+    - show some or all function bodies as {...}
+    - show some or all block comments as /*...*/
+  - context-sensitive menu bar and popup menus
+  - code browsing using the imenu' package
+  - typing helpers (e.g. inserting matching braces/parens)
+  - many customization options
+ .
+ This transitional package can be safely removed.

=== debian/watch ===
version=3
opts=dversionmangle=s/^0~// \
 https://github.com/mooz/js2-mode/tags .*/(\d*)\.tar\.gz

## js2-mode 0~20170116

=== debian/changelog ===
js2-mode (0~20170116-1) unstable; urgency=medium

  * New upstream release. Closes: #851599.
  * d/control: bump Standards-Version.
  * d/control: update Vcs-*.

 -- Vincent Bernat <bernat@debian.org>  Mon, 16 Jan 2017 20:14:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-elpa (>= 0.0.11~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/mooz/js2-mode
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/js2-mode.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/js2-mode.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/js2-mode.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/js2-mode.git
 
 Package: elpa-js2-mode
 Architecture: all

## js2-mode 0~20180301

=== Makefile ===
# -*- Makefile -*-

EMACS = emacs

# Compile with noninteractive and relatively clean environment.
BATCHFLAGS = -batch -Q

SRCS = js2-mode.el js2-imenu-extras.el

OBJS = $(SRCS:.el=.elc)

%.elc: %.el
	${EMACS} $(BATCHFLAGS) -L . -f batch-byte-compile $^

all: $(OBJS)

clean:
	-rm -f $(OBJS)

test:
	${EMACS} $(BATCHFLAGS) -L . -l js2-mode.el -l js2-old-indent.el -l tests/parser.el \
	  -l tests/indent.el -l tests/externs.el -l tests/json-path.el -l tests/consume.el \
	  -l tests/navigation.el -f ert-run-tests-batch-and-exit

=== debian/changelog ===
js2-mode (0~20180301-1) unstable; urgency=medium

  * New upstream version.
    + Fix tests with Emacs 26.1. Closes: #916809.
  * d/watch: add 0~ in front of Debian version.
  * d/control: don't use Priority: extra.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Dec 2018 10:25:14 +0100

js2-mode (0~20170116-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against more recent dh-elpa (Closes: #900724).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 23 Jul 2018 17:55:13 +0800

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,6 @@
 
 Package: js2-mode
 Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: elpa-js2-mode, ${misc:Depends}
 Description: Emacs mode for editing Javascript programs (dummy package)

## js2-mode 0~20201220

=== debian/changelog ===
js2-mode (0~20201220-1) unstable; urgency=medium

  * Adopt package for Debian Emacsen team (Closes: #981192).
  * Bump debhelper compat level to 12
  * Install NEWS.md
  * Assert compliance with policy 4.5.1

 -- David Bremner <bremner@debian.org>  Thu, 28 Jan 2021 07:19:08 -0400

js2-mode (0~20201220-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Update to new upstream version 20201220 (Closes: #973157).
  * rebuild with dh_elpa 2.x (Closes: #973970).
  * Update Vcs-*

 -- David Bremner <bremner@debian.org>  Wed, 27 Jan 2021 08:56:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: js2-mode
 Section: editors
 Priority: optional
-Maintainer: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-elpa (>= 0.0.11~)
-Standards-Version: 3.9.8
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Uploaders: David Bremner <bremner@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-elpa (>= 2.0~)
+Standards-Version: 4.5.1
 Homepage: https://github.com/mooz/js2-mode
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/js2-mode.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/js2-mode.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/js2-mode.git
+Vcs-Git: https://salsa.debian.org/emacsen-team/js2-mode.git
 
 Package: elpa-js2-mode
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

VER ?= $(shell dpkg-parsechangelog | perl -ne 'print $$1 if m{^Version:\s+0~(\d+)};')

%:
	dh $@

override_dh_auto_build:
	# Nothing to do

override_dh_install:
	echo "(define-package \"js2-mode\" \"$(VER)\" \"Improved JavaScript editing mode\" '((emacs \"24.1\") (cl-lib \"0.5\")))" > js2-mode-pkg.el
	dh_install
	dh_elpa -Njs2-mode

=== debian/watch ===
version=3
opts=dversionmangle=s/^0~//,oversionmangle=s/^/0~/ \
 https://github.com/mooz/js2-mode/tags .*/(\d*)\.tar\.gz

## js2-mode 0%7e20090723b

=== debian/watch ===
version=3
opts=dversionmangle=s/^0~// http://code.google.com/p/js2-mode/ downloads/detail\?name=js2-(.*)\.el

## js2-mode 0.0~git20240418.9b90d31

=== debian/changelog ===
js2-mode (0.0~git20240418.9b90d31-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:24:21 +0900

js2-mode (0.0~git20240418.9b90d31-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + elpa-js2-mode: Drop versioned constraint on emacsen-common (>=
      2.0.8) in Depends.
    + elpa-js2-mode: Drop conflict with removed package js2-mode (<<
      0~20150909-1) in Breaks.

  [ Xiyue Deng ]
  * Update to new upstream version 0.0~git20240418.9b90d31 (Closes:
    #1052865).
  * Update d/watch to track savannah's canonical js2-mode branch.
  * Update Standards-Version to 4.6.2.  No change needed.
  * Update debhelper-compat to 13.
  * Simplify handling in d/rules.
  * Fix non-canonical URL for Vcs-Browser and drop trailing whitespace.
  * Use secure protocol in URL and add Upstream-Contact in d/copyright.
  * Add d/upstream/metadata.
  * Update Standards-Version to 4.7.0; no change needed.
  * Set Rules-Require-Root to no in d/changelog.
  * Replace emacsen-common with ${elpa:Depends} to let elpa handle
    dependencies.
  * Drop versioned Emacsen from Enhances.
  * Update upstream copyright year in d/copyright.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 05 May 2024 14:32:09 -0700

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: David Bremner <bremner@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa (>= 2.0~)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/mooz/js2-mode
-Vcs-Browser: https://salsa.debian.org/emacsen-team/js2-mode.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/js2-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/js2-mode.git
+Rules-Requires-Root: no
 
 Package: elpa-js2-mode
 Architecture: all
-Depends: ${misc:Depends}, emacsen-common (>= 2.0.8)
-Enhances: emacs, emacs23, emacs24
-Breaks: js2-mode (<< 0~20150909-1)
+Depends: ${misc:Depends}, ${elpa:Depends}
+Enhances: emacs
 Provides: js2-mode
-Description: Emacs mode for editing Javascript programs 
+Description: Emacs mode for editing Javascript programs
  This JavaScript editing mode supports:
  .
   - the full JavaScript language through version 1.7

## js2-mode 0.0~git20241205.e0c3028

=== Makefile ===
# -*- Makefile -*-

EMACS = emacs

# Compile with noninteractive and relatively clean environment.
BATCHFLAGS = -batch -Q

SRCS = js2-mode.el js2-imenu-extras.el

TESTS = $(wildcard tests/*.el)

OBJS = $(SRCS:.el=.elc) $(TESTS:.el=.elc)

%.elc: %.el
	${EMACS} $(BATCHFLAGS) -L . -f batch-byte-compile $^

all: $(OBJS)

clean:
	-rm -f $(OBJS)

test:	all
	${EMACS} $(BATCHFLAGS) -L . \
	  $(addprefix -l ,$(OBJS)) \
	  -f ert-run-tests-batch-and-exit

=== debian/changelog ===
js2-mode (0.0~git20241205.e0c3028-2) unstable; urgency=medium

  * Add d/salsa-ci.yml with default template
  * Drop transitional package js2-mode
    - This has existed for 3 stable releases at least.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 12 Jan 2025 02:29:43 -0800

js2-mode (0.0~git20241205.e0c3028-1) unstable; urgency=medium

  * Update to new upstream snapshot 0.0~git20241205.e0c3028.
  * Fix typo in d/NEWS
  * Add myself to d/copyright and update Debian year

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 08 Dec 2024 18:17:33 -0800

js2-mode (0.0~git20240908.62d6cb1-1) unstable; urgency=medium

  * Update to new upstream version 0.0~git20240908.62d6cb1
  * Add d/gbp.conf matching current practice
  * Drop changes to enable js2-mode for JS files by default
    - Prefer Tree-sitter based major modes shipped since Emacs 29
    - Add a NEWS entry announcing this change
  * d/control: enable autopkgtest with "Testsuite: autopkgtest-pkg-elpa"
  * d/control: add myself to Uploaders

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 11 Nov 2024 21:58:46 -0800

=== debian/control ===
Source: js2-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>,
 Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-elpa (>= 2.0~)
Standards-Version: 4.7.0
Homepage: https://github.com/mooz/js2-mode
Vcs-Browser: https://salsa.debian.org/emacsen-team/js2-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/js2-mode.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa

Package: elpa-js2-mode
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs
Provides: js2-mode
Description: Emacs mode for editing Javascript programs
 This JavaScript editing mode supports:
 .
  - the full JavaScript language through version 1.7
  - support for most Rhino and SpiderMonkey extensions from 1.5 to 1.7
  - accurate syntax highlighting using a recursive-descent parser
  - syntax-error and strict-mode warning reporting
  - "bouncing" line indentation to choose among alternate indentation points
  - smart line-wrapping within comments and strings
  - code folding:
    - show some or all function bodies as {...}
    - show some or all block comments as /*...*/
  - context-sensitive menu bar and popup menus
  - code browsing using the imenu' package
  - typing helpers (e.g. inserting matching braces/parens)
  - many customization options

=== debian/watch ===
version=4
opts="mode=git" \
 git://git.savannah.gnu.org/emacs/elpa.git \
 heads/externals/js2-mode debian uupdate
